#
#	Gnuplot script to make test figures for this project.
#
#	Revision:	$Revision: 1.2 $
#	Date:	$Date: 2007/08/18 14:58:08 $
#-----------------------------------------------------------------------
#
#	C population > 10000 LOC
#
#	Divert the output into the eps file.
#
set	term		postscript eps enhanced color
set	output	"all.eps"
#
#	Note the set-show aspect of gnuplot.  If you don't show it you
#	don't see it.
#
set	xlabel	'Normalised size z'
show	xlabel

set	ylabel	'P(size < z)'
show	ylabel

set	xrange	[0:1]
set	yrange	[0:1]

#
#	Uncomment this to get log-log
#		set	logscale	xy
#

set	noautoscale

show key

set	title	"C size distributions, packages > 10,000 SLOC"	"Times,24"
show title

plot 'all.dat' index 0 smooth bezier title "Package 1" lw 3, \
	'' index 1 smooth bezier title "Package 2" lw 3, \
	'' index 2 smooth bezier title "Package 3" lw 3, \
	'' index 3 smooth bezier title "Package 4" lw 3, \
	'' index 4 smooth bezier title "Package 5" lw 3, \
	'' index 5 smooth bezier title "Package 6" lw 3, \
	'' index 6 smooth bezier title "Package 7" lw 3, \
	'' index 7 smooth bezier title "Package 8" lw 3, \
	'' index 8 smooth bezier title "Package 9" lw 3

show tics

#
#	Close the file.
#
set	output
#-----------------------------------------------------------------------
#
#	C population < 10000 LOC
#
set	term		postscript eps enhanced color
set	output	"all2.eps"
#
#	Note the set-show aspect of gnuplot.  If you don't show it you
#	don't see it.
#
show	xlabel
show	ylabel

set	noautoscale

show key

set	title	"C size distributions, packages < 10,000 SLOC"	"Times,24"
show title

plot 'all2.dat' index 0 smooth bezier title "Package 1" lw 3, \
	'' index 1 smooth bezier title "Package 2" lw 3, \
	'' index 2 smooth bezier title "Package 3" lw 3, \
	'' index 3 smooth bezier title "Package 4" lw 3, \
	'' index 4 smooth bezier title "Package 5" lw 3, \
	'' index 5 smooth bezier title "Package 6" lw 3

show tics

#
#	Close the file.
#
set	output
#-----------------------------------------------------------------------
#
#	Fortran population > 10000 LOC
#
set	term		postscript eps enhanced color
set	output	"all_f.eps"
#
#	Note the set-show aspect of gnuplot.  If you don't show it you
#	don't see it.
#
show	xlabel
show	ylabel

set	noautoscale

show key

set	title	"Fortran size distributions, package of 279,000 SLOC"	"Times,24"
show title

plot 'all_f.dat' index 0 smooth bezier title "Package 1" lw 3

show tics

#
#	Close the file.
#
set	output
#-----------------------------------------------------------------------
#
#	Fortran population < 10000 LOC
#
set	term		postscript eps enhanced color
set	output	"all2_f.eps"
#
#	Note the set-show aspect of gnuplot.  If you don't show it you
#	don't see it.
#
show	xlabel
show	ylabel

set	noautoscale

show key

set	title	"Fortran size distributions, package of 15,000 SLOC"	"Times,24"
show title

plot 'all2_f.dat' index 0 smooth bezier title "Package 1" lw 3

show tics

#
#	Close the file.
#
set	output
#-----------------------------------------------------------------------
#
#	TCL population > 10000 LOC
#
set	term		postscript eps enhanced color
set	output	"all_tcl.eps"
#
#	Note the set-show aspect of gnuplot.  If you don't show it you
#	don't see it.
#
show	xlabel
show	ylabel

set	noautoscale

show key

set	title	"TCL size distributions, packages > 10,000 SLOC"	"Times,24"
show title

plot 'all_tcl.dat' index 0 smooth bezier title "Package 1" lw 3, \
	'' index 1 smooth bezier title "Package 2" lw 3 \

show tics

#
#	Close the file.
#
set	output
#-----------------------------------------------------------------------
#
#	TCL population < 10000 LOC
#
set	term		postscript eps enhanced color
set	output	"all2_tcl.eps"
#
#	Note the set-show aspect of gnuplot.  If you don't show it you
#	don't see it.
#
show	xlabel
show	ylabel

set	noautoscale

show key

set	title	"TCL size distributions, packages < 10,000 SLOC"	"Times,24"
show title

plot 'all2_tcl.dat' index 0 smooth bezier title "Package 1" lw 3, \
	'' index 1 smooth bezier title "Package 2" lw 3 \

show tics

#
#	Close the file.
#
set	output
#-----------------------------------------------------------------------
#
#	Scaled plots of the log function for M = 150,450,750,1050,1350.
#
set	term		postscript eps enhanced color
set	output	"dlog.eps"
#
#	Note the set-show aspect of gnuplot.  If you don't show it you
#	don't see it.
#
show	xlabel
show	ylabel

set	xrange	[0:1]
set	yrange	[0:1]

set	noautoscale

show key

set	title	"Power-law size distribution for a range of maximum component sizes"	"Times,24"
show title

plot 'dlog.dat' index 0 smooth bezier title "S = 150, pwr=1.1" lw 3, \
	'' index 1 smooth bezier title "S = 450, pwr=1.1" lw 3, \
	'' index 2 smooth bezier title "S = 750, pwr=1.1" lw 3, \
	'' index 3 smooth bezier title "S = 1050, pwr=1.1" lw 3, \
	'' index 4 smooth bezier title "S = 1350, pwr=1.1" lw 3, \
	'' index 5 smooth bezier title "S = 150, pwr=2.0" lw 3, \
	'' index 6 smooth bezier title "S = 450, pwr=2.0" lw 3, \
	'' index 7 smooth bezier title "S = 750, pwr=2.0" lw 3, \
	'' index 8 smooth bezier title "S = 1050, pwr=2.0" lw 3, \
	'' index 9 smooth bezier title "S = 1350, pwr=2.0" lw 3 

show tics

#
#	Close the file.
#
set	output
#-----------------------------------------------------------------------
#
#	Scaled plots of all defect functions for M = 650.
#
set	term		postscript eps enhanced color
set	output	"odist.eps"
#
#	Note the set-show aspect of gnuplot.  If you don't show it you
#	don't see it.
#
set	xlabel	'Normalised size'
show	xlabel

set	ylabel	'Fraction'
show	ylabel

set	xrange	[0:1]
set	yrange	[0:1]

set	noautoscale

show key

set	title	"Theoretical distributions for mid-range system size"	"Times,24"
show title

plot 'dlog.dat' index 0 smooth bezier title "Lipow, Hatton" lw 3, \
	'' index 1 smooth bezier title "Akiyama" lw 3, \
	'' index 2 smooth bezier title "Gaffney" lw 3, \
	'' index 4 smooth bezier title "Compton and Withrow" lw 3

show tics

#
#	Close the file.
#
set	output
#-----------------------------------------------------------------------
