/*
 *	Program to make the Pareto data to plot against the Zipf distributions of
 *	real systems for different but typical values of maximum size of
 *	component S, represented by smax[].
 *
 *	Revision:	$Revision: 1.2 $
 *	Date:	$Date: 2007/08/18 14:58:08 $
 */
#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#define	PARETO(x,alpha,s)		\
	((1.0 - pow(x,(1.0-alpha)))/(1.0 - pow((s+1),(1.0-alpha))))

int
main(void)
{
	FILE		*fp = NULL;
	int		i;
	int		j;
	int		inc;
	double	s;
	double	x;
	double	alpha	= 2.0;

	int		smax[] = {150,450,750,1050,1350};

	if ( (fp = fopen("dlog.txt","w+")) == NULL )
	{
		fprintf(stderr,"Couldn't open dlog.txt\n");
		exit(EXIT_FAILURE);
	}

	for( i = 0; i < sizeof(smax)/sizeof(int); ++i )
	{
		s		= (double) smax[i];
		inc		= smax[i] / smax[0];

		printf("# x,\n");

		for( j = 1; j < smax[i] ; j += inc )
		{
			x	= ((double) j);

			printf("%lf %lf\n", (x/s), PARETO(x,alpha,s));
		}

		printf("\n\n");
	}

	exit(EXIT_SUCCESS);
}
